#!/bin/env python

#Written by Andrew Avila, 2011

from batch import *
from mpi4py import MPI
import sys
import traceback

def formatExceptionInfo(maxTBlevel=5):
    cla, exc, trbk = sys.exc_info()
    excName = cla.__name__
    try:
        excArgs = exc.__dict__["args"]
    except KeyError:
        excArgs = "<no args>"
    excTb = traceback.format_tb(trbk, maxTBlevel)
    return (excName, excArgs, excTb)


comm = MPI.COMM_WORLD
rank = comm.Get_rank()
size = comm.Get_size()

while(1):
    if rank == 0:
        prelist = DBCheckINITBatch()
        if len(prelist) < size:
            break
        batchlist = [prelist[start : start + (len(prelist)/size if start/(len(prelist)/size) < size -1 else len(prelist) - start)] for start in range(0, len(prelist), len(prelist)/size)]
        batchlist = batchlist[0 : size]
    else:
        batchlist = None


    mylist = comm.scatter(batchlist, root = 0)
    print '%d %s \n' % (rank, len(mylist))

    for i in mylist:
        DBUpdateBatch(i[0], 'PROC')
        try:
            DoBatch(i[0], i[1], i[2])
        except:
            print 'failed'
            DBUpdateBatch(i[0], 'FAILED')
            print formatExceptionInfo()
        else:
            print 'DONE'
            DBUpdateBatch(i[0], 'DONE')

    processedresults = comm.gather(mylist, root = 0)
