-- MySQL Structure for Artemis

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `Artemis`
--

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `RESULTS` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `RESULTS_FILE_ID` int(11) NOT NULL,
  `CHAINS_ID` int(11) NOT NULL,
  `LIGANDS_ID` int(11) NOT NULL,
  `FILE_INDEX` int(11) NOT NULL,
  `ENERGY` double NOT NULL,
  `RMSD_LB` double NOT NULL,
  `RMSD_UB` double NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `RESULTS_FILE` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `DUMP` longtext NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `LIGANDS` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `NAME` varchar(255) NOT NULL,
  `ORIGIN` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `LIGANDS_FILE` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `LIGANDS_ID` varchar(255) NOT NULL,
  `DUMP` longtext NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `CHAINS` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PDB_ID` int(11) NOT NULL,
  `NAME` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `CHAINS_FILE` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `CHAINS_ID` int(11) NOT NULL,
  `DUMP` longtext NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `PDB` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `RCSB_ID` varchar(16) NOT NULL,
  `TITLE` varchar(255) NOT NULL,
  `SOURCE` varchar(255) NOT NULL,
  `ORGANISM` varchar(255) NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `PDB_FILE` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `PDB_ID` int(11) NOT NULL,
  `DUMP` longtext NOT NULL,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

CREATE TABLE IF NOT EXISTS `BATCH` (
  `ID` int(11) NOT NULL AUTO_INCREMENT,
  `CHAINS_ID` int(11) NOT NULL,
  `LIGANDS_ID` int(11) NOT NULL,
  `STATUS` varchar(255) NOT NULL,
  `START` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`ID`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------
